> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sentfrom.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update drafts



## OpenAPI

````yaml PATCH /drafts/{id}
openapi: 3.1.0
info:
  title: SentFromAI API
  version: 0.1.0
  description: >-
    Comms infrastructure for AI agents. Email send/receive, threading,
    attachments, drafts, webhooks, realtime, and search.
servers:
  - url: https://api.sentfrom.ai/v1
security:
  - bearerAuth: []
tags:
  - name: inboxes
  - name: messages
  - name: threads
  - name: drafts
  - name: webhooks
  - name: labels
  - name: lists
  - name: attachments
  - name: domains
    description: Custom sending domains
paths:
  /drafts/{id}:
    patch:
      tags:
        - drafts
      operationId: updateDraft
      parameters:
        - $ref: '#/components/parameters/Id'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateDraft'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Draft'
components:
  parameters:
    Id:
      name: id
      in: path
      required: true
      schema:
        type: string
  schemas:
    CreateDraft:
      type: object
      required:
        - inbox_id
      properties:
        inbox_id:
          type: string
        to:
          type: array
          items:
            type: string
        subject:
          type: string
        text:
          type: string
        html:
          type: string
        reply_to_message_id:
          type: string
        scheduled_at:
          type: string
    Draft:
      type: object
      properties:
        id:
          type: string
        inbox_id:
          type: string
        subject:
          type:
            - string
            - 'null'
        status:
          type: string
        scheduled_at:
          type:
            - string
            - 'null'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````